<?php

/*
 * Taken from
 * https://github.com/laravel/framework/blob/5.2/src/Illuminate/Auth/Console/stubs/make/controllers/HomeController.stub
 */

//use Install;
use App\Http\Requests;
use Illuminate\Http\Request;

/**
 * Class DefaultController
 * @package App\Http\Controllers
 */
class DefaultController extends Controller
{

    /**
     * Show the application dashboard.
     *
     * @return Response
     */
    public function index()
    {
        return View::make('site.index')
            ->with(Content::getAll());
    }
    public function thankyou()
    {
        return View::make('site.thankyou')
            ->with(Content::getAll());
    }

    public function postEmail()
    {
        $data = Input::all();
        Mail::send('emails.contact', array('data' => $data), function ($message) {
            $user = User::firstOrFail();
            $message->to($user->email, $user->name)->subject(Input::get('Subject'));
        });
        return Redirect::to('/')->with('message', trans('messages.message_sent'));
    }
}