<?php


class ContentsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run(){

        Eloquent::unguard();

//        DB::statement('SET FOREIGN_KEY_CHECKS=0;');

        DB::table('contents')->truncate();

        $data = array();
        $data['page_title'] = 'Page Title';
        $data['page_desc'] = 'Page description';
        $data['brand_name'] = 'Brand Name';

        $data['section'] = array();
        $data['section'][1] = 'SERVICES';
        $data['section'][2] = 'TESTIMONIALS';
        $data['section'][3] = 'PRICING';
        $data['section'][4] = 'CONTACT';

        $data['n_slides'] = 5;
        for($i=1;$i<=5;$i++)
            $data['slide_options'][$i] = $i;

        $data['n_pricing'] = 3;
        for($i=1;$i<=3;$i++)
            $data['pricing_options'][$i] = $i;

        $data['show_contact'] = 1;

//        $data['map_api_key'] = 'your_api_key';
        $data['show_map'] = 1;
        $data['google_api'] = 'YOUR_API_KEY';
        $data['latitude'] = '41.295259';
        $data['longitude'] = '-73.675064';
        $data['facebook'] = 'https://facebook.com';
        $data['twitter'] = 'https://twitter.com';
        $data['google'] = 'https://google.com';
        $data['pinterest'] = 'https://pinterest.com';

        $data['show_subscription'] = '0';
        $data['aweber_id'] = '';
        $data['getresponse_id'] = '';
        $data['mailchimp_user_id'] = '';
        $data['mailchimp_list_id'] = '';

        $data['theme'] = 'standard/default';

        Content::create([
            'tag'      => 'config',
            'content'     => json_encode($data),
        ]);

        $text = array();
        $text['slider'] = array();
        $text['slider'][1] = '<h3>First slide label</h3> <p>Nulla vitae elit libero, a pharetra augue mollis interdum.</p>';
        $text['slider'][2] = '<h3>Second slide label</h3> <p>Nulla vitae elit libero, a pharetra augue mollis interdum.</p>';
        $text['slider'][3] = '<h3>Third slide label</h3> <p>Nulla vitae elit libero, a pharetra augue mollis interdum.</p>';
        $text['slider'][4] = '<h3>Fourth slide label</h3> <p>Nulla vitae elit libero, a pharetra augue mollis interdum.</p>';
        $text['slider'][5] = '<h3>Fifth slide label</h3> <p>Nulla vitae elit libero, a pharetra augue mollis interdum.</p>';
        $text['feature'] = array();
        $text['feature'][1] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p>';
        $text['feature'][2] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p>';
        $text['feature'][3] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p>';
        $text['feature'][4] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p>';
        $text['feature'][5] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p>';
        $text['feature'][6] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p>';
        $text['feature'][7] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p>';
        $text['feature'][8] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p>';
        $text['feature'][9] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p>';
        $text['testimonial'] = array();
        $text['testimonial'][1] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p><p><i><b>consectetuer</b></i></p>';
        $text['testimonial'][2] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p><p><i><b>consectetuer</b></i></p>';
        $text['testimonial'][3] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p><p><i><b>consectetuer</b></i></p>';
        $text['testimonial'][4] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p><p><i><b>consectetuer</b></i></p>';
        $text['testimonial'][5] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p><p><i><b>consectetuer</b></i></p>';
        $text['testimonial'][6] = '<h4><b>Lorem ipsum dolo</b></h4><p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</p><p><i><b>consectetuer</b></i></p>';
        $text['testimonial'][7] = '<h3 class="txt_white">Lorem ipsum dolo</h3><h2 class="txt_white"><b>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy magna aliquam.</b></h2>';
        $text['price'] = array();
        $text['price'][1] = '<h1 class="text-center" style="color:#2c3e50">PRICING</h1><h2 class="text-center" style="color:#18bc9c"><b>$45.00/month</b></h2>';
        $text['price'][2] = '<h1 class="text-center" style="color:#2c3e50">PRICING</h1><h2 class="text-center" style="color:#18bc9c"><b>$45.00/month</b></h2>';
        $text['price'][3] = '<h1 class="text-center" style="color:#2c3e50">PRICING</h1><h2 class="text-center" style="color:#18bc9c"><b>$45.00/month</b></h2>';
        $text['price'][4] = 'Lorem ipsum dolor sit amet';
        $text['price'][5] = 'Lorem ipsum dolor sit amet';
        $text['price'][6] = 'Lorem ipsum dolor sit amet';
        $text['price'][7] = 'Lorem ipsum dolor sit amet';
        $text['price'][8] = 'Lorem ipsum dolor sit amet';
        $text['price'][9] = 'Lorem ipsum dolor sit amet';
        $text['price'][10] = 'Lorem ipsum dolor sit amet';
        $text['price'][11] = 'Lorem ipsum dolor sit amet';
        $text['price'][12] = 'Lorem ipsum dolor sit amet';
        $text['price'][13] = '<a href="#" class="btn btn-primary btn-lg">GET IT NOW!</a>';
        $text['price'][14] = '<a href="#" class="btn btn-primary btn-lg">GET IT NOW!</a>';
        $text['price'][15] = '<a href="#" class="btn btn-primary btn-lg">GET IT NOW!</a>';
        $text['contact'] = array();
        $text['contact'][1] = '<hr/><h4><b>Lorem ipsum dolor sit amet</b></h4> <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt magna aliquam.</p> <hr/> <h4><b>Lorem ipsum dolor sit amet</b></h4> <p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt magna aliquam. Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt magna aliquam.</p>';
        $text['contact'][2] = '<span class="help-block">A longer block of help text that breaks onto a new line and may extend beyond one line.</span>';
        $text['contact'][3] = '<h4><b>Address:</b></h4> <p>Lorem ipsum dolor sit amet,<br/> consectetuer adipiscing elit,<br/> sed diam nonummy nibh euismod <br/>tincidunt magna aliquam.</p> <hr/> <h4><b>Phone:</b></h4> <p>Office: 445 443 5443 | Home: 443 334 3423</p> <hr/> <h4><b>Email:</b></h4> <p>Loremipsum@gmail.com | Loremipsum@gmail.com | Loremipsum@gmail.com</p> <hr/>';
        $text['contact'][4] = '<div class="col-md-7"> <p>All Rights Reserved Copyrights 2016.</p> </div> <div class="col-md-5 pull-right" style="text-align:right"> <p><a href="#">Terms and Conditions</a> | <a href="#">Privacy Policy</a> | <a href="#">Support</a> | <a href="#">Disclaimer</a></p></div>';
        $text['subscribe'][1] = '<p>Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt magna aliq Lorem ipsum dolor sit amet, consectetuer adipiscing elit, sed diam nonummy nibh euismod tincidunt magna aliquam.</p>';

        Content::create([
            'tag'      => 'text',
            'content'     => json_encode($text),
        ]);

        $image = array();
        $image['slider'] = array();
        $image['slider'][1] = 'images/bg1.jpg';
        $image['slider'][2] = 'images/bg2.jpg';
        $image['slider'][3] = 'images/bg3.jpg';
        $image['slider'][4] = 'images/bg4.jpg';
        $image['slider'][5] = 'images/bg5.jpg';
        $image['feature'] = array();
        $image['feature'][1] = 'images/paral_bg1.jpg';
        $image['feature'][2] = 'images/tp2.jpg';
        $image['feature'][3] = 'images/tp3.jpg';
        $image['feature'][4] = 'images/tp4.jpg';
        $image['feature']['ico'] = array();
        $image['feature']['ico'][1] = 'fa-microphone';
        $image['feature']['ico'][2] = 'fa-laptop';
        $image['feature']['ico'][3] = 'fa-users';
        $image['feature']['ico'][4] = 'fa-microphone';
        $image['feature']['ico'][5] = 'fa-laptop';
        $image['feature']['ico'][6] = 'fa-users';
        $image['testimonial'] = array();
        $image['testimonial'][1] = 'images/test_img.png';
        $image['testimonial'][2] = 'images/test_img.png';
        $image['testimonial'][3] = 'images/usr_pic.jpg';
        $image['testimonial'][4] = 'images/usr_pic.jpg';
        $image['testimonial'][5] = 'images/usr_pic.jpg';
        $image['testimonial'][6] = 'images/usr_pic.jpg';
        $image['testimonial'][7] = 'images/paral_bg2.jpg';
        $image['price'] = array();
        $image['price'][1] = 'images/tp1.jpg';
        $image['price'][2] = 'images/tp1.jpg';
        $image['price'][3] = 'images/tp1.jpg';
        $image['price'][4] = 'images/paral_bg3.jpg';
        $image['price']['ico'] = array();
        $image['price']['ico'][1] = 'images/right_ico.png';
        $image['price']['ico'][2] = 'images/wrong_ico.png';
        $image['price']['ico'][3] = 'images/wrong_ico.png';
        $image['price']['ico'][4] = 'images/right_ico.png';
        $image['price']['ico'][5] = 'images/right_ico.png';
        $image['price']['ico'][6] = 'images/wrong_ico.png';
        $image['price']['ico'][7] = 'images/right_ico.png';
        $image['price']['ico'][8] = 'images/right_ico.png';
        $image['price']['ico'][9] = 'images/right_ico.png';

        $image['contact'] = array();
        $image['contact'][1] = 'images/bg1.jpg';

        Content::create([
            'tag'      => 'image',
            'content'     => json_encode($image),
        ]);


    }
}