<div class="clsSlider">
    <div class="carousel slide" id="carousel-example-captions" data-ride="carousel" data-interval="false">
        <ol class="carousel-indicators edt_indct">
            @for ($i = 1; $i <= $config['n_slides']; $i++)
                <li data-target="#carousel-example-captions" data-slide-to="{{ $i - 1 }}" class="{{ $i == 1 ? "active" : '' }}"></li>
            @endfor
        </ol>
        <div class="carousel-inner" role="listbox">
            @for ($i = 1; $i <= $config['n_slides']; $i++)
                <div class="item {{ $i == 1 ? "active" : '' }}">
                    <img alt="" data-src="" src="{{ $image['slider'][$i] }}" data-holder-rendered="true" id="image_slider{{ $i }}">
                    <div class="carousel-caption edt_crs_cap" id="text_slider{{ $i }}">
                        {{ $text['slider'][$i] }}
                    </div>
                    <div class="text-center changeImage" onclick="$('#image_slider{{ $i }}_file').click();">{{ trans('app.change_image') }}</div>
                </div>
            @endfor
        </div>
        <a href="#carousel-example-captions" class="left carousel-control" role="button" data-slide="prev">
            <span class="glyphicon glyphicon-chevron-left" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
        </a>
        <a href="#carousel-example-captions" class="right carousel-control" role="button" data-slide="next">
            <span class="glyphicon glyphicon-chevron-right" aria-hidden="true"></span> <span class="sr-only">Next</span>
        </a>
    </div>
</div>

