@extends('layouts.app')

@section('htmlheader_title')
    {{--Integrations--}}
@endsection

@section('main-content')
    <table class="table table-striped">
        <thead>
        <tr>
            <th>{{ trans('forms.title') }}</th>
            <th>{{ trans('app.actions') }}</th>
        </tr>
        </thead>
        <tbody>
            @foreach($data as $key => $value)
                <tr>
                    {{--<td>{{ $value->id }}</td>--}}
                    <td>{{ $value->title }}</td>

                    <!-- we will also add show, edit, and delete buttons -->
                    <td>
                        <a href="{{ url('posts/' . $value->id) }}" class="action-icon" title="view" target="_blank"><span class="glyphicon glyphicon-eye-open"></span></a>

                        <a href="{{ url('posts/' . $value->id) . '/edit' }}" class="action-icon"><span class="glyphicon glyphicon-pencil"></span></a>

                        {{ Form::open(array('url' => 'posts/' . $value->id, 'class' => 'pull-right', 'id' => 'form'. $value->id)) }}
                        {{ Form::hidden('_method', 'DELETE') }}
                        {{--{{ Form::submit('Delete this Post', array('class' => 'btn btn-warning', 'onClick' => 'return confirm("Are you sure you want to remove the post?")')) }}--}}
                        <a onclick="if (confirm('{{ trans('messages.sure')  }}')) document.getElementById('form{{ $value->id }}').submit();"><span class="glyphicon glyphicon-trash"></span></a>
                        {{ Form::close() }}
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
@endsection
