<?php

//use Auth;
use Illuminate\Http\Request;
//use Validator;

class EditorController extends Controller
{
    public function getIndex() {
        return View::make('editor.index')
            ->with(Content::getAll());
    }


    public function postIndex() {
        $input = Input::all();
//        dd($input);
        $data = Content::getImage();
        self::saveFiles($input['image'], $data);
//        dd($data);
        Content::saveImage($data);
        Content::saveText($input['text']);

        return Redirect::to('config')
            ->with('message', trans('messages.site_updated'));
    }

    private static function saveFiles($array, &$data, $prev_key=null)
    {
        foreach ($array as $k=>$v) {
            if (is_array($v)) {
                if ($k == 'ico'){
                    self::saveIcons($v, $data, $prev_key);
                } else {
                    self::saveFiles($v, $data, $k);
                }
            } elseif ($v) {
                $v->move('images/', $v->getClientOriginalName());
                $data[$prev_key][$k] = 'images/' . $v->getClientOriginalName();
//                $v->getClientOriginalName();
//                var_dump($v->getClientOriginalName());
//                var_dump($v);
            }
        }
    }

    private static function saveIcons($array, &$data, $prev_key)
    {
        foreach ($array as $k=>$v) {
            $data[$prev_key]['ico'][$k] = $v;
        }
    }
}


