<div class="clsHead_bar_dark clsPadding_sm">
    <div class="container">
        <section id="Features">
            <h1>{{ $config['section'][1] }}</h1>
        </section>
    </div>
</div>

<div class="clsPage_white clsPadding_lg">
    <div class="container">
        <div id="featureWrap">
            @for ($i=1;$i<=6;$i++)
                @if($i==1 || $i==4)
                <div class="row">
                @endif
                    <div class="col-md-4 text-center feature clsTop_pad">
                        <div class="edt_border clsPadding_sm">
                            <i class="fa {{ $image['feature']['ico'][$i] }} icon feature-image" id="image_feature_ico{{ $i }}"></i>
                            <div class="clsPadding_in" id="text_feature{{ $i }}">
                                {{ $text['feature'][$i] }}
                            </div>
                        </div>
                    </div>
                @if($i==3 || $i==6)
                </div>
                @endif
            @endfor
        </div>
    </div>
</div>

<div class="parallax-window" data-parallax="scroll" data-image-src="{{ $image['feature'][1] }}" id="image_feature1">
    <div class="clsPadding_lg">
        <div class="container">
            <div class="row">
                @for ($i=1;$i<=3;$i++)
                    <div class="col-md-4">
                        <div class="well edt_white">
                            <div class="clsPadding_in">
                                <img id="image_feature{{ $i+1 }}" src="{{ $image['feature'][$i+1] }}" class="img-responsive center-block img-thumbnail"/>
                                <div class="text-center changeImage" onclick="$('#image_feature{{ $i+1 }}_file').click();">{{ trans('app.change_image') }}</div>
                            </div>
                            <div class="clsPadding_in text-center" style="color:#2c3e50;" id="text_feature{{ $i+6 }}">
                                {{ $text['feature'][$i+6] }}
                            </div>
                        </div>
                    </div>
                @endfor
            </div>
            <div class="text-center changeImage" onclick="$('#image_feature1_file').click();">{{ trans('app.change_image') }}</div>
        </div>
    </div>
</div>

@include('editor.icons')
