@extends('layouts.app')

@section('htmlheader_title')
    {{--Integrations--}}
@endsection
@section('main-content')

<script src="//cdn.ckeditor.com/4.5.11/standard/ckeditor.js"></script>
<h1>{{ trans('app.edit_post') }}</h1>

<!-- if there are creation errors, they will show here -->
{{ HTML::ul($errors->all()) }}

{{ Form::model($data, array('route' => array('posts.update', $data->id), 'method' => 'PUT')) }}


<div class="form-group">
    {{ Form::label('title', trans('forms.title')) }}
    {{ Form::text('title', Input::old('Title'), array('class' => 'form-control')) }}
</div>

<div class="form-group">
    {{ Form::label('content', trans('forms.content')) }}
    {{ Form::textarea('content', Input::old('content'), array('class' => 'form-control', 'id' => 'content')) }}
</div>

{{ Form::submit(trans('forms.save'), array('class' => 'btn btn-primary')) }}

{{ Form::close() }}

<script>
    CKEDITOR.replace( 'content' );
</script>

@endsection
