<div class="clsHead_bar_dark clsPadding_sm">
    <div class="container">
        <section id="Contact">
            <h1>{{ $config['section'][4] }}</h1>
        </section>
    </div>
</div>

<div class="clsPage_white clsPadding_lg">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <div class="clsPadding_in">
                    <img src="{{ $image['contact'][1] }}" class="img-responsive center-block img-thumbnail"/>
                    <div id="text_contact1">
                        {{ $text['contact'][1] }}
                    </div>
                </div>
            </div>
            <div class="col-md-6">
                <div class="clsPadding_in">
                    @if(Session::has('message'))
                        <p class="alert">{{ Session::get('message') }}</p>
                    @endif
                    {{ Form::open(array('url'=>'email')) }}
                        <div class="form-group">
                            <label class="control-label" for="focusedInput">First Name</label>
                            <input class="form-control" id="focusedInput" value="First Name" type="text" name="FirstName">
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="focusedInput">Last Name</label>
                            <input class="form-control" id="focusedInput" value="Last Name" type="text" name="LastName">
                        </div>
                        <div class="form-group">
                            <label class="control-label" for="focusedInput">Subject</label>
                            <input class="form-control" id="focusedInput" value="Subject" type="text" name="Subject">
                        </div>
                        <div class="form-group">
                            <textarea class="form-control" rows="3" id="textArea" name="Message"></textarea>
                            <div id="text_contact2">
                                {{ $text['contact'][2] }}
                            </div>
                        </div>
                        <div class="form-group">
                            <button type="submit" class="btn btn-primary">Submit</button>
                            <button type="reset" class="btn btn-default">Reset</button>
                        </div>
                    {{ Form::close() }}
                </div>
            </div>
        </div>
    </div>
</div>

<div class="clsPage_white clsPadding_lg cls_border_top">
    <div class="container">
        <div class="row">
            <div class="col-md-6">
                <div class="clsPadding_in">
                    <div class="clsPadding_in" id="text_contact3">
                        {{ $text['contact'][3] }}
                    </div>
                    @if ($config['facebook'])
                    <a href="{{ $config['facebook'] }}" class="btn btn-social-icon btn-facebook" onclick="_gaq.push(['_trackEvent', 'btn-social-icon', 'click', 'btn-facebook']);"><span class="fa fa-facebook"></span></a>
                    @endif
                    @if ($config['twitter'])
                    <a href="{{ $config['twitter'] }}" class="btn btn-social-icon btn-twitter" onclick="_gaq.push(['_trackEvent', 'btn-social-icon', 'click', 'btn-twitter']);"><span class="fa fa-twitter"></span></a>
                    @endif
                    @if ($config['google'])
                    <a href="{{ $config['google'] }}" class="btn btn-social-icon btn-google" onclick="_gaq.push(['_trackEvent', 'btn-social-icon', 'click', 'btn-google']);"><span class="fa fa-google"></span></a>
                    @endif
                    @if ($config['pinterest'])
                    <a href="{{ $config['pinterest'] }}" class="btn btn-social-icon btn-pinterest" onclick="_gaq.push(['_trackEvent', 'btn-social-icon', 'click', 'btn-pinterest']);"><span class="fa fa-pinterest"></span></a>
                    @endif

                </div>
            </div>
            <div class="col-md-6">
                <div class="clsPadding_in">
                    @if ($config['show_map'])
                        <div id="contact-location"></div>
                    @endif
                </div>
            </div>
        </div>
    </div>
</div>